package org.minimalj.example.jugs;

import org.minimalj.backend.Backend;
import org.minimalj.frontend.Frontend;
import org.minimalj.frontend.editor.Editor.NewObjectEditor;
import org.minimalj.frontend.form.Form;

public class NewJugsEventEditor extends NewObjectEditor<JugsEvent> {

	@Override
	protected Form<JugsEvent> createForm() {
		Form<JugsEvent> form = new Form<>();

		// this was just as intro. You will never use this style
		// PropertyInterface property = Properties.getProperty(JugsEvent.class, "title");
		// StringFormElement formElement = new StringFormElement(property);
		// form.line(formElement);

		// You may use this style for more complex forms or form elements
		// StringFormElement formElement = new StringFormElement(JugsEvent.$.title, StringFormElement.SINGLE_LINE);
		// form.line(formElement);

		form.line(JugsEvent.$.title);
		form.line(JugsEvent.$.description);
		form.line(JugsEvent.$.length);
		form.line(JugsEvent.$.apero);
		
		return form;
	}

	@Override
	protected JugsEvent save(JugsEvent object) {
		return Backend.save(object);
	}

	@Override
	protected void finished(JugsEvent result) {
		Frontend.show(new EventTablePage());
	}
	
}
