package org.minimalj.example.jugs;

import java.util.List;

import org.minimalj.backend.Backend;
import org.minimalj.frontend.form.Form;
import org.minimalj.frontend.page.SimpleTableEditorPage;
import org.minimalj.repository.query.By;

public class EventTablePage extends SimpleTableEditorPage<JugsEvent> {

	@Override
	protected Object[] getColumns() {
		return new Object[] { JugsEvent.$.title };
 	}
	
	@Override
	protected List<JugsEvent> load() {
		return Backend.find(JugsEvent.class, By.all());
	}

	@Override
	protected Form<JugsEvent> createForm(boolean editable, boolean newObject) {
		Form<JugsEvent> form = new Form<>(editable);

		// note: this was copy/paste from NewJugsEventEditor.
		// normally you will create a Form class and use in Editor and TableEditorPage
		
		form.line(JugsEvent.$.title);
		form.line(JugsEvent.$.description);
		form.line(JugsEvent.$.length);
		form.line(JugsEvent.$.apero);
		
		return form;

	}

}
